Skip to main content
GET
Reservations on a tool.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
tool_id
string
tool_number
string
tool_name
string
work_order_id
string
work_order_number
string
worker_id
string
worker_name
string
team_id
string
start_at
string
end_at
string
status
string
quantity
string
purpose
string
cancelled_at
string
cancelled_reason
string
in_progress
string
upcoming
string
still_out
string
finished
string
row_version
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

cancelled_at
string<timestamp with time zone>
cancelled_reason
string<character varying>
Maximum string length: 250
end_at
string<timestamp with time zone>
finished
boolean<boolean>
id
string<uuid>

Note: This is a Primary Key.

in_progress
boolean<boolean>
purpose
string<character varying>
Maximum string length: 250
quantity
number<numeric>
row_version
integer<bigint>
start_at
string<timestamp with time zone>
status
string<character varying>
Maximum string length: 30
still_out
boolean<boolean>
team_id
string<uuid>

Note: This is a Foreign Key to teams.id.

tool_id
string<uuid>

Note: This is a Foreign Key to tools.id.

tool_name
string<character varying>
Maximum string length: 200
tool_number
string<character varying>
Maximum string length: 60
upcoming
boolean<boolean>
work_order_id
string<uuid>

Note: This is a Foreign Key to inspection_failures.found_in_work_order_id.

work_order_number
string<character varying>
Maximum string length: 60
worker_id
string<uuid>

Note: This is a Foreign Key to technician_workload.worker_id.

worker_name
string<character varying>
Maximum string length: 200